﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "TChart 클래스 : Legend 속성을 사용해 레전드 체크 박스 표시하기";

            this.tChart.Panel.Pen         = new ChartPen(Color.Black);
            this.tChart.Legend.CheckBoxes = true;

            Line line = new Line(this.tChart.Chart);

            line.FillSampleValues(6);

            Bar bar = new Bar(this.tChart.Chart);

            bar.FillSampleValues(6);

            Area area = new Area(this.tChart.Chart);

            area.FillSampleValues(6);

            Points points = new Points(this.tChart.Chart);

            points.FillSampleValues(6);
        }

        #endregion
    }
}